#ifndef CALCULATORWIDGET_H
#define CALCULATORWIDGET_H

#include <QWidget>

namespace Ui { // a grafikus felület eléréshez használatos névtér
    class CalculatorWidget;
}

class CalculatorWidget : public QWidget
{
    Q_OBJECT

    enum Operation { NONE, ADD, SUBSTRACT, MULTIPLY, DIVIDE }; // lehetséges műveletek

public:
    explicit CalculatorWidget(QWidget *parent = 0);
    ~CalculatorWidget();

private slots:
    void add(); // gombok eseménykezelői
    void substract();
    void multiply();
    void divide();
    void equal();

private:
    void operate(Operation nextOperation); // művelet elvégzése

    Ui::CalculatorWidget *_ui; // grafikus felület elemei

    Operation _currentOperation; // aktuálisan elvégzendő mûvelet
    float _firstNumber; // operandusok
    float _secondNumber;
};

#endif // CALCULATORWIDGET_H
